> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synkrony.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar registro de tempo



## OpenAPI

````yaml /api-reference/v1/swagger.json patch /api/v1/time_logs/{id}
openapi: 3.1.0
info:
  title: API V1
  version: v1
servers:
  - url: https://app.synkrony.ai
security:
  - BearerAuth: []
paths:
  /api/v1/time_logs/{id}:
    patch:
      tags:
        - TimeLogs
      summary: Atualizar registro de tempo
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                time_log:
                  type: object
                  properties:
                    user_id:
                      type: integer
                      nullable: true
                    task_id:
                      type: integer
                      nullable: true
                    project_id:
                      type: integer
                      nullable: true
                    name:
                      type: string
                      nullable: true
                    start_time:
                      type: string
                      format: date-time
                      nullable: true
                    end_time:
                      type: string
                      format: date-time
                      nullable: true
              required:
                - time_log
      responses:
        '200':
          description: TimeLog updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TimeLogApi'
                required:
                  - data
        '401':
          description: unauthorized
        '404':
          description: not found
        '422':
          description: Validation failed
components:
  schemas:
    TimeLogApi:
      type: object
      properties:
        owner_id:
          type: number
        owner_type:
          type: string
        id:
          type: string
        task:
          type: string
        project_id:
          type: number
          nullable: true
        date:
          type: string
        duration:
          type: string
          nullable: true
        type:
          type: string
        start_time:
          type: string
        end_time:
          type: string
          nullable: true
        sprint_id:
          type: number
          nullable: true
        assignee:
          type: object
          properties:
            id:
              type: string
              nullable: true
            name:
              type: string
              nullable: true
            colorId:
              type: number
              nullable: true
            profilePictureUrl:
              type: string
              nullable: true
      required:
        - owner_id
        - owner_type
        - id
        - task
        - assignee
        - date
        - type
        - start_time
        - id
        - task
        - assignee
        - date
        - type
        - start_time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'API token no formato Bearer. Exemplo: Bearer YOUR_API_TOKEN'

````